Subject: Re: linking problems with ...
From: [email-masked] (Rocky Burt)

12 Sep 1997 07:29:45 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Lachlan Roche wrote:

> I have been trying to use opengl with the minimalist version of
> gcc-win32.
>
> I am using SGI GL for windows, and Mark Kilgard's glut32.dll
>
> I created my link liraries link:
> impdef opengl.dll > opengl.def
> dlltool --dllname opengl.dll --def opengl.def --output-lib libopengl.a

> -v
>
> There were no func@NN type symbols in the .def files
>
> when linking a trivial test program, I get many errors of the form:
> gltest.o(.text+0x24):gltest.c: undefined reference to `glBegin@4'
>
> Every function I use from libglut.a libglu.a or libopengl.a gives the
> same
> link error.
>
> What am I doing wrong? (Something trivial, no doubt)

I've gotten the libopengl and libglu libs working ok, but no luck with
the glut stuff.  I have the glut library converted, but when I run a
compiled executable I get a corrupted DLL error from GLUT.DLL.  It says
it ain't an executable or something.

Anyway, if you'd like to see what I've got done, go to:
<http://dragon.acadiau.ca/~025668b/develop/opengl>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".